<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$formname = 'Samuh Lagan Fees';
$maindb = 'samlaganfees';
//$trandb = 'saletran';
$file = 'samlaganfees_pdf.php';
$source = "";
$zcomp = $_SESSION["comp_" . $dbname];
$fseries = $_SESSION["series_" . $dbname];

$zdb = $_SESSION["zdbyear_" . $dbname];
$zroot = $_SESSION["zdir"];
mysqli_select_db($conn, $zdb);

$mht = 'height:20px;';
$admin = $_SESSION["admin_" . $dbname];
$vouchno = $_REQUEST["vouchno"];

$mainqry = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') AS vouchdt FROM `$maindb` WHERE `vouchno`='$vouchno' ORDER BY `vouchno`") or die(mysqli_error($conn));
$getmdata = mysqli_fetch_array($mainqry) or die(mysqli_error($conn));

$cmpname = mysqli_query($conn, "SELECT * From $zroot.`company` where code ='$zcomp'")or die(mysqli_error($conn));
$getcmpname = mysqli_fetch_array($cmpname);


require("library/fpdf/fpdf.php");

class pdf extends fpdf {

    function Footer() {

//Position at 1.5 cm from bottom
        $this->SetY(-15);

//Arial italic 8
        $this->SetFont('Arial', 'I', 8);
//Page number
        $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
    }

}

$pdf = new pdf('P', 'mm', 'A4');

$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 18);
$pdf->SetTextColor(0, 0, 0);



    $pdf->Cell(193, 6, "", 0, 0, 'C');
    $pdf->Ln(7);

    $pdf->SetFont('Arial', 'B', 15);
    $pdf->Cell(193, 6, "SORATHIYA MUSLIM GHANCHI JAMAT TRUST (MUMBAI)", 0, 0, 'C');
    $pdf->Ln();
    $pdf->SetFont('Arial', 'B', 12);
    $pdf->Cell(193, 6, "Regd. 1950 No. B.1184 Dt. 9-4-1970", 0, 0, 'C');
    $pdf->Ln();
    $pdf->SetFont('Arial', '', 12);
    $pdf->Cell(193, 6, "131, Zakaria Masjid Street, Mumbai - 400 001. Phone: 022-23456741", 0, 0, 'C');
    $pdf->SetFont('Arial', '', 10);
    $pdf->Cell(0, 6, "", 0, 0, 'C');
    $pdf->Ln();
    $pdf->Cell(0, 6, "", 0, 0, 'C');
    $pdf->Ln();

    $pdf->Ln(10);


$pdf->SetFont('Arial', 'B', 15);
$pdf->SetTextColor(169, 185, 124);
$pdf->SetFillColor(169, 185, 124);
$pdf->Cell(193, 7, "$formname", 0, 0, 'C');
$pdf->Ln(15);
$pdf->Line(10, 48, 203, 48);

$pdf->SetFillColor(225, 225, 225);
$pdf->SetFont('Arial', '', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(28, 2, "Voucher  ", 0, 0);
$pdf->Cell(5, 2, " : ", 0, 0);
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(115, 2, "$getmdata[vouchno]", 0, 0);

$pdf->SetFont('Arial', '', 12);
$pdf->Cell(13, 1, "Date : ", 0, 0);
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(27, 1, "$getmdata[vouchdt]", 0, 0);
$pdf->Ln(10);
if ($getmdata['gender'] == 'M'){
    $gender = 'Male';
} else {
    $gender = 'Female';
}
$pdf->SetFont('Arial', '', 12);
$pdf->Cell(28, 2, "Gender  ", 0, 0);
$pdf->Cell(5, 2, " : ", 0, 0);
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(115, 2, "$gender", 0, 0);

$pdf->Ln(10);

$pdf->SetFont('Arial', '', 12);
$pdf->SetTextColor(0, 0, 0);

$pdf->SetDrawColor(206, 169, 98);
$pdf->SetFont('Arial', '', 12);
$pdf->SetDrawColor(0, 0, 0);


$pdf->SetFont('Arial', '', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(28, 0, "Son ", 0, 0);
$pdf->Cell(5, 0, " : ", 0, 0);
$pdf->SetTextColor(0, 0, 0);
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(156, 0, "$getmdata[sonname]", 0, 0);
$pdf->Ln(10);

$pdf->SetFont('Arial', '', 12);
$pdf->Cell(28, 1, "Father Name", 0, 0);
$pdf->Cell(5, 1, " : ", 0, 0);
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(143, 1, "$getmdata[memname]", 0, 0);
$pdf->Ln(10);

$pdf->SetFont('Arial', '', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(28, 2, "Fees ", 0, 0);
$pdf->Cell(5, 2, " : ", 0, 0);
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(35, 2, "$getmdata[fees]", 0, 0);
$pdf->Ln(0);


// $rupees = rsword(round($getmdata['amount']));

// $pdf->SetFont('Arial', 'BI', 12);
// $pdf->Cell(153, 2, "Rupees $rupees Only", 0, 0);
// $pdf->Ln(12);

$pdf->SetFont('Arial', '', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(33, 0, "", 0, 0);
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(170, 0, "$getmdata[add2]", 0, 0);
$pdf->Ln(10); 

$pdf->SetFont('Arial', '', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(28, 0, "Remarks ", 0, 0);
$pdf->Cell(5, 0, " : ", 0, 0);
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(170, 1, "$getmdata[remark1]", 0, 0);
$pdf->Ln(5);
$pdf->SetFont('Arial', '', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(28, 0, "", 0, 0);
$pdf->Cell(5, 0, "", 0, 0);
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(170, 0, "$getmdata[remark2]", 0, 0);
$pdf->Ln(10);



$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->SetFillColor(225, 225, 225);
$cl = 8;


// $pdf->SetFont('Arial', '', 10);
// $pdf->SetFillColor(255, 255, 255);
// $pdf->SetTextColor(0, 0, 0);

// // $pdf->Line(20, 150, 100, 150);

// // $pdf->Line(110, 150, 193, 150);

// $pdf->SetFont('Arial', 'B', 12);
// $pdf->Cell(70, 7, "Authorised Signatory ", '', 0, 'R', 1);
// $pdf->Cell(105, 7, "Received By / Account Holder", '', 0, 'R', 1);



$pdf->Ln(10);

//$pdf->AddPage();
//
//
//$img = "images/terms.jpg";
//$pdf->Image("$img", 20, 12, 170, 250, 'JPEG');

$y_aqui2 = $pdf->Gety();

ob_end_clean();
$pdf->Output("$formname - $lparty[name]-" . $getmdata['vouchno'] . ".pdf", "I");
?>